> **[cq-robot](../README.md)**

[Globals](../globals.md) / ["entity/MemberInfo"](../modules/_entity_memberinfo_.md) / [MemberInfo](_entity_memberinfo_.memberinfo.md) /

# Class: MemberInfo

群成员信息类

**`author`** CaoMeiYouRen

**`date`** 2019-07-13

**`export`** 

**`class`** MemberInfo

## Hierarchy

* **MemberInfo**

## Index

### Properties

* [age](_entity_memberinfo_.memberinfo.md#age)
* [area](_entity_memberinfo_.memberinfo.md#area)
* [card](_entity_memberinfo_.memberinfo.md#card)
* [card_changeable](_entity_memberinfo_.memberinfo.md#card_changeable)
* [group_id](_entity_memberinfo_.memberinfo.md#group_id)
* [join_time](_entity_memberinfo_.memberinfo.md#join_time)
* [last_sent_time](_entity_memberinfo_.memberinfo.md#last_sent_time)
* [level](_entity_memberinfo_.memberinfo.md#level)
* [nickname](_entity_memberinfo_.memberinfo.md#nickname)
* [role](_entity_memberinfo_.memberinfo.md#role)
* [sex](_entity_memberinfo_.memberinfo.md#sex)
* [title](_entity_memberinfo_.memberinfo.md#title)
* [title_expire_time](_entity_memberinfo_.memberinfo.md#title_expire_time)
* [unfriendly](_entity_memberinfo_.memberinfo.md#unfriendly)
* [user_id](_entity_memberinfo_.memberinfo.md#user_id)

## Properties

###  age

• **age**: *number*

*Defined in [entity/MemberInfo.ts:50](https://github.com/CaoMeiYouRen/node-cq-robot/blob/aeb889b/src/entity/MemberInfo.ts#L50)*

年龄

**`type`** {number}

**`memberof`** MemberInfo

___

###  area

• **area**: *string*

*Defined in [entity/MemberInfo.ts:57](https://github.com/CaoMeiYouRen/node-cq-robot/blob/aeb889b/src/entity/MemberInfo.ts#L57)*

地区

**`type`** {string}

**`memberof`** MemberInfo

___

###  card

• **card**: *string*

*Defined in [entity/MemberInfo.ts:37](https://github.com/CaoMeiYouRen/node-cq-robot/blob/aeb889b/src/entity/MemberInfo.ts#L37)*

群名片／备注

**`type`** {string}

**`memberof`** MemberInfo

___

###  card_changeable

• **card_changeable**: *boolean*

*Defined in [entity/MemberInfo.ts:113](https://github.com/CaoMeiYouRen/node-cq-robot/blob/aeb889b/src/entity/MemberInfo.ts#L113)*

是否允许修改群名片

**`type`** {boolean}

**`memberof`** MemberInfo

___

###  group_id

• **group_id**: *number*

*Defined in [entity/MemberInfo.ts:16](https://github.com/CaoMeiYouRen/node-cq-robot/blob/aeb889b/src/entity/MemberInfo.ts#L16)*

群号

**`type`** {number}

**`memberof`** MemberInfo

___

###  join_time

• **join_time**: *number*

*Defined in [entity/MemberInfo.ts:64](https://github.com/CaoMeiYouRen/node-cq-robot/blob/aeb889b/src/entity/MemberInfo.ts#L64)*

加群时间戳

**`type`** {number}

**`memberof`** MemberInfo

___

###  last_sent_time

• **last_sent_time**: *number*

*Defined in [entity/MemberInfo.ts:71](https://github.com/CaoMeiYouRen/node-cq-robot/blob/aeb889b/src/entity/MemberInfo.ts#L71)*

最后发言时间戳

**`type`** {number}

**`memberof`** MemberInfo

___

###  level

• **level**: *string*

*Defined in [entity/MemberInfo.ts:78](https://github.com/CaoMeiYouRen/node-cq-robot/blob/aeb889b/src/entity/MemberInfo.ts#L78)*

成员等级

**`type`** {string}

**`memberof`** MemberInfo

___

###  nickname

• **nickname**: *string*

*Defined in [entity/MemberInfo.ts:30](https://github.com/CaoMeiYouRen/node-cq-robot/blob/aeb889b/src/entity/MemberInfo.ts#L30)*

昵称

**`type`** {string}

**`memberof`** MemberInfo

___

###  role

• **role**: *string*

*Defined in [entity/MemberInfo.ts:85](https://github.com/CaoMeiYouRen/node-cq-robot/blob/aeb889b/src/entity/MemberInfo.ts#L85)*

角色，owner 或 admin 或 member

**`type`** {string}

**`memberof`** MemberInfo

___

###  sex

• **sex**: *string*

*Defined in [entity/MemberInfo.ts:44](https://github.com/CaoMeiYouRen/node-cq-robot/blob/aeb889b/src/entity/MemberInfo.ts#L44)*

性别，male 或 female 或 unknown

**`type`** {string}

**`memberof`** MemberInfo

___

###  title

• **title**: *string*

*Defined in [entity/MemberInfo.ts:99](https://github.com/CaoMeiYouRen/node-cq-robot/blob/aeb889b/src/entity/MemberInfo.ts#L99)*

专属头衔

**`type`** {string}

**`memberof`** MemberInfo

___

###  title_expire_time

• **title_expire_time**: *number*

*Defined in [entity/MemberInfo.ts:106](https://github.com/CaoMeiYouRen/node-cq-robot/blob/aeb889b/src/entity/MemberInfo.ts#L106)*

专属头衔过期时间戳

**`type`** {number}

**`memberof`** MemberInfo

___

###  unfriendly

• **unfriendly**: *boolean*

*Defined in [entity/MemberInfo.ts:92](https://github.com/CaoMeiYouRen/node-cq-robot/blob/aeb889b/src/entity/MemberInfo.ts#L92)*

是否不良记录成员

**`type`** {boolean}

**`memberof`** MemberInfo

___

###  user_id

• **user_id**: *number*

*Defined in [entity/MemberInfo.ts:23](https://github.com/CaoMeiYouRen/node-cq-robot/blob/aeb889b/src/entity/MemberInfo.ts#L23)*

QQ 号

**`type`** {number}

**`memberof`** MemberInfo